package body Pkg is
   procedure Test (V : in out Foo_Type) is
   begin
      V := '0';
   end;

   function Encode(Code : in Mode_1_Code_Type) return Value_Type is
   begin
      return Value_Type'value("8#" & Code.Code & "#");
   end Encode;

end;
